<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AreaDamageComponentRaycasted Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d89/class_area_damage_component_raycasted.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AreaDamageComponentRaycasted Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Newer implementation equivalent of "AreaDamageRegularRaycasted", hitzone selection only.  
 <a href="../../d3/d89/class_area_damage_component_raycasted.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for AreaDamageComponentRaycasted:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d89/class_area_damage_component_raycasted.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab7e74ec7eba7a54b39c6051d045d1da4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#ab7e74ec7eba7a54b39c6051d045d1da4">AreaDamageComponentRaycasted</a> (<a class="el" href="../../df/dbe/_area_damage_manager_8c.html#abfc7d8f6381a073a1b76ff47172ff18f">AreaDamageManager</a> parent)</td></tr>
<tr class="separator:ab7e74ec7eba7a54b39c6051d045d1da4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20516acc5ffc6c0044411fc48d9811a3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a20516acc5ffc6c0044411fc48d9811a3">OnTriggerCreated</a> ()</td></tr>
<tr class="separator:a20516acc5ffc6c0044411fc48d9811a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57e8e602011e480e674bb3b02b93fa5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#ae57e8e602011e480e674bb3b02b93fa5">SetRaycastSources</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; raycast_sources)</td></tr>
<tr class="separator:ae57e8e602011e480e674bb3b02b93fa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95218e9bc00295404dc9d9bdf4270704"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a95218e9bc00295404dc9d9bdf4270704">SetRaycastSourcesVector</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt; raycast_sources)</td></tr>
<tr class="separator:a95218e9bc00295404dc9d9bdf4270704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154da5d62739ebae80a3a0caa13159e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a0154da5d62739ebae80a3a0caa13159e">SetRaycastLength</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> length)</td></tr>
<tr class="separator:a0154da5d62739ebae80a3a0caa13159e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8decc51379836b99f07dc10753de8750"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a8decc51379836b99f07dc10753de8750">OnStayFinishServerEvent</a> ()</td></tr>
<tr class="separator:a8decc51379836b99f07dc10753de8750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70e688b1f2076b500dd265be05a07807"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d7/d20/class_area_damage_component_data.html">AreaDamageComponentData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a70e688b1f2076b500dd265be05a07807">GetAreaDamageComponentData</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a70e688b1f2076b500dd265be05a07807"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae96f3d32b857b67956efd912a5e38cef"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#ae96f3d32b857b67956efd912a5e38cef">ClearCache</a> ()</td></tr>
<tr class="separator:ae96f3d32b857b67956efd912a5e38cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a191b861bfd47e659a1e587efe377199a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a191b861bfd47e659a1e587efe377199a">GetRaycastedHitZone</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> victim)</td></tr>
<tr class="separator:a191b861bfd47e659a1e587efe377199a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f212af98efb83436a5bfa80ad92b28"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#aa0f212af98efb83436a5bfa80ad92b28">GetFallbackHitZone</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> victim)</td></tr>
<tr class="separator:aa0f212af98efb83436a5bfa80ad92b28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab2d47dbdcbe71990f38873564cfd7fea"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#ab2d47dbdcbe71990f38873564cfd7fea">m_RaycastSources</a></td></tr>
<tr class="separator:ab2d47dbdcbe71990f38873564cfd7fea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e333571a6b2a5d4f6cec41e1d6fb5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#ad1e333571a6b2a5d4f6cec41e1d6fb5e">m_RaycastEndOffset</a></td></tr>
<tr class="separator:ad1e333571a6b2a5d4f6cec41e1d6fb5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5fdf11de633e7fa4d79123bd73f1248"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../de/d3a/class_raycast_r_v_result.html">RaycastRVResult</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#ac5fdf11de633e7fa4d79123bd73f1248">m_RaycastCache</a></td></tr>
<tr class="separator:ac5fdf11de633e7fa4d79123bd73f1248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5051bb25981472efbd2f6f9d1ab0bee9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html#a5051bb25981472efbd2f6f9d1ab0bee9">m_RaycastCachedIndex</a></td></tr>
<tr class="separator:a5051bb25981472efbd2f6f9d1ab0bee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Newer implementation equivalent of "AreaDamageRegularRaycasted", hitzone selection only. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00002">2</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab7e74ec7eba7a54b39c6051d045d1da4" name="ab7e74ec7eba7a54b39c6051d045d1da4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7e74ec7eba7a54b39c6051d045d1da4">&#9670;&#160;</a></span>AreaDamageComponentRaycasted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageComponentRaycasted::AreaDamageComponentRaycasted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/dbe/_area_damage_manager_8c.html#abfc7d8f6381a073a1b76ff47172ff18f">AreaDamageManager</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae96f3d32b857b67956efd912a5e38cef" name="ae96f3d32b857b67956efd912a5e38cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae96f3d32b857b67956efd912a5e38cef">&#9670;&#160;</a></span>ClearCache()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void AreaDamageComponentRaycasted::ClearCache </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00064">64</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a70e688b1f2076b500dd265be05a07807" name="a70e688b1f2076b500dd265be05a07807"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70e688b1f2076b500dd265be05a07807">&#9670;&#160;</a></span>GetAreaDamageComponentData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d7/d20/class_area_damage_component_data.html">AreaDamageComponentData</a> AreaDamageComponentRaycasted::GetAreaDamageComponentData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00056">56</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="aa0f212af98efb83436a5bfa80ad92b28" name="aa0f212af98efb83436a5bfa80ad92b28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f212af98efb83436a5bfa80ad92b28">&#9670;&#160;</a></span>GetFallbackHitZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AreaDamageComponentRaycasted::GetFallbackHitZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>victim</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00121">121</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a191b861bfd47e659a1e587efe377199a" name="a191b861bfd47e659a1e587efe377199a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a191b861bfd47e659a1e587efe377199a">&#9670;&#160;</a></span>GetRaycastedHitZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> AreaDamageComponentRaycasted::GetRaycastedHitZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>victim</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00070">70</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a8decc51379836b99f07dc10753de8750" name="a8decc51379836b99f07dc10753de8750"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8decc51379836b99f07dc10753de8750">&#9670;&#160;</a></span>OnStayFinishServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageComponentRaycasted::OnStayFinishServerEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00049">49</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a20516acc5ffc6c0044411fc48d9811a3" name="a20516acc5ffc6c0044411fc48d9811a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20516acc5ffc6c0044411fc48d9811a3">&#9670;&#160;</a></span>OnTriggerCreated()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AreaDamageComponentRaycasted::OnTriggerCreated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00020">20</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a0154da5d62739ebae80a3a0caa13159e" name="a0154da5d62739ebae80a3a0caa13159e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0154da5d62739ebae80a3a0caa13159e">&#9670;&#160;</a></span>SetRaycastLength()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageComponentRaycasted::SetRaycastLength </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>length</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00044">44</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="ae57e8e602011e480e674bb3b02b93fa5" name="ae57e8e602011e480e674bb3b02b93fa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae57e8e602011e480e674bb3b02b93fa5">&#9670;&#160;</a></span>SetRaycastSources()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageComponentRaycasted::SetRaycastSources </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>raycast_sources</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00027">27</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a95218e9bc00295404dc9d9bdf4270704" name="a95218e9bc00295404dc9d9bdf4270704"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95218e9bc00295404dc9d9bdf4270704">&#9670;&#160;</a></span>SetRaycastSourcesVector()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AreaDamageComponentRaycasted::SetRaycastSourcesVector </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td>
          <td class="paramname"><em>raycast_sources</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00039">39</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ac5fdf11de633e7fa4d79123bd73f1248" name="ac5fdf11de633e7fa4d79123bd73f1248"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5fdf11de633e7fa4d79123bd73f1248">&#9670;&#160;</a></span>m_RaycastCache</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../de/d3a/class_raycast_r_v_result.html">RaycastRVResult</a>&gt; AreaDamageComponentRaycasted::m_RaycastCache</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="a5051bb25981472efbd2f6f9d1ab0bee9" name="a5051bb25981472efbd2f6f9d1ab0bee9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5051bb25981472efbd2f6f9d1ab0bee9">&#9670;&#160;</a></span>m_RaycastCachedIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AreaDamageComponentRaycasted::m_RaycastCachedIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00009">9</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="ad1e333571a6b2a5d4f6cec41e1d6fb5e" name="ad1e333571a6b2a5d4f6cec41e1d6fb5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1e333571a6b2a5d4f6cec41e1d6fb5e">&#9670;&#160;</a></span>m_RaycastEndOffset</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> AreaDamageComponentRaycasted::m_RaycastEndOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<a id="ab2d47dbdcbe71990f38873564cfd7fea" name="ab2d47dbdcbe71990f38873564cfd7fea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2d47dbdcbe71990f38873564cfd7fea">&#9670;&#160;</a></span>m_RaycastSources</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d7/dfc/classvector.html">vector</a>&gt; AreaDamageComponentRaycasted::m_RaycastSources</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html#l00005">5</a> of file <a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/AreaDamage/AreaDamageNew/DamageComponents/<a class="el" href="../../d9/db3/_area_damage_component_raycasted_8c_source.html">AreaDamageComponentRaycasted.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d89/class_area_damage_component_raycasted.html">AreaDamageComponentRaycasted</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
